Skip to main content
Create a profile to provide details about your company to Plivo. You can use the profile to create 10DLC brands for messaging customers.

API Endpoint

https://api.plivo.com/v1/Account/{auth_id}/Profile/

The Profile Object

Attributes

profile_uuid
string
A unique identifier for each profile.
profile_type
string
Indicates whether this is a primary or secondary profile.
primary_profile
string
A unique identifier for the account’s primary profile.
profile_alias
string
A friendly name for the profile.
customer_type
string
Indicates the nature of your operations and how you use Plivo’s voice and messaging offerings.
entity_type
string
Indicates ownership of the business.
company_name
string
Legal name of the company.
vertical
string
Company industry.
ein
string
Employer Identification Number.
ein_issuing_country
string
ISO country code of the country that issued the EIN.
address
object
Postal address of the company.
authorized_contact
object
Details of the authorized contact person at the company.
stock_symbol
string
Stock symbol of the company.
stock_exchange
string
Stock exchange where the company is listed.
alt_business_id
string
Alternate business identification number.
alt_business_id_type
string
Alternate business ID type.
website
string
Business website.
plivo_subaccount
string
Subaccount mapped to the profile.

Example Object

{
    "profile": {
        "address": {
            "city": "New York",
            "country": "US",
            "postal_code": "10001",
            "state": "NY",
            "street": "123"
        },
        "alt_business_id": "ABC",
        "alt_business_id_type": "DUNS",
        "authorized_contact": {
            "email": "john@example.com",
            "first_name": "john",
            "last_name": "doe",
            "phone": "12125557777",
            "seniority": "admin",
            "title": "Doe"
        },
        "company_name": "ABC Inc.12345",
        "customer_type": "RESELLER",
        "ein": "12125552222",
        "ein_issuing_country": "US",
        "entity_type": "PUBLIC",
        "plivo_subaccount": "SA2025RK4E639VJFZAMM",
        "primary_profile": "c780f9d0-e3c9-4d13-87f7-b898654569b0",
        "profile_alias": "john_doe",
        "profile_type": "SECONDARY",
        "profile_uuid": "f19c4773-4ae6-4b75-92ea-9cf3ea4227d6",
        "stock_exchange": "NYSE",
        "stock_symbol": "HIBYE",
        "vertical": "ENTERTAINMENT",
        "website": "hibye.com"
    }
}

Create a Profile

Create a business profile for your end customers.
POST https://api.plivo.com/v1/Account/{auth_id}/Profile/

Arguments

profile_alias
string
required
A friendly name for your profile.
customer_type
string
required
Indicates the nature of your operations. Allowed values: DIRECT, RESELLER. Select RESELLER if your business provides communication services such as messaging and voice calling to other businesses.
entity_type
string
required
Indicates ownership of the company. Allowed values: PRIVATE, PUBLIC, NON_PROFIT, GOVERNMENT, INDIVIDUAL.
company_name
string
required
Legal name of the company.
vertical
string
required
Indicates industry. Allowed values: PROFESSIONAL, REAL_ESTATE, HEALTHCARE, HUMAN_RESOURCES, ENERGY, ENTERTAINMENT, RETAIL, TRANSPORTATION, AGRICULTURE, INSURANCE, POSTAL, EDUCATION, HOSPITALITY, FINANCIAL, POLITICAL, GAMBLING, LEGAL, CONSTRUCTION, NGO, MANUFACTURING, GOVERNMENT, TECHNOLOGY, COMMUNICATION.
address
object
required
Valid postal address of the company. Object fields: street, city, state (valid state code, e.g., TX for Texas), postal_code (ZIP code), country (ISO alpha-2 country code, e.g., US).
authorized_contact
object
required
Authorized contact person at the company. Object fields: first_name, last_name, email, title (salutation), seniority (allowed values: DIRECTOR, GM, VP, CEO, CFO, GENERAL_COUNSEL, OTHER), phone (E.164 format).
ein
string
Employer Identification Number. Plivo strongly recommends providing your EIN if your company is registered to unlock premium features like high throughput.
ein_issuing_country
string
The ISO country code of the country that issued the EIN.
stock_symbol
string
Stock symbol of the company.
stock_exchange
string
Stock exchange where your company is listed. Allowed values: NASDAQ, NYSE, AMEX, AMX, ASX, B3, BME, BSE, FRA, ICEX, JPX, JSE, KRX, LON, NSE, OMX, SEHK, SGX, SSE, STO, SWX, SZSE, TSX, TWSE, VSE, OTHER.
alt_business_id
string
Alternate business identification number.
alt_business_id_type
string
Alternate business ID type. Allowed values: DUNS, LEI, GIIN, NONE.
website
string
Website of the business.
plivo_subaccount
string
Subaccount mapped to the profile.
If you specify entity_type=INDIVIDUAL, you can skip fields like ein, ein_issuing_country, stock_symbol, stock_exchange, alt_business_id, and alt_business_id_type.
import plivo

client = plivo.RestClient("<auth_id>", "<auth_token>")
response = client.profile.create(
    profile_alias="profile name sample",
    customer_type="DIRECT",
    entity_type="PRIVATE",
    company_name="ABC Inc.",
    ein="123456789",
    ein_issuing_country="US",
    stock_symbol="ABC",
    stock_exchange="NSE",
    website="www.example.com",
    vertical="REAL_ESTATE",
    alt_business_id="",
    alt_business_id_type="NONE",
    address={
        "street": "123",
        "city": "New York",
        "state": "NY",
        "postal_code": "10001",
        "country": "US"
    },
    authorized_contact={
        "first_name": "john",
        "last_name": "doe",
        "phone": "12025551234",
        "email": "john@example.com",
        "title": "Mr",
        "seniority": "admin"
    },
)
print(response)
Response
{
    "api_id": "4e1f954c-baf3-11ec-bafe-0242ac110003",
    "message": "Profile created successfully.",
    "profile_uuid": "f19c4773-4ae6-4b75-92ea-9cf3ea4227d6"
}

Retrieve a Profile

Fetch details about a specific profile associated with your account.
GET https://api.plivo.com/v1/Account/{auth_id}/Profile/{profile_uuid}/

Arguments

profile_uuid
string
required
The unique identifier of the profile to retrieve.
import plivo

client = plivo.RestClient("<auth_id>", "<auth_token>")
response = client.profile.get("<profile_uuid>")
print(response)
Response
{
    "api_id": "752e99d0-baf3-11ec-ac74-0242ac110002",
    "profile": {
        "address": {
            "city": "New York",
            "country": "US",
            "postal_code": "10001",
            "state": "NY",
            "street": "123"
        },
        "alt_business_id": "ABC",
        "alt_business_id_type": "DUNS",
        "authorized_contact": {
            "email": "john@example.com",
            "first_name": "john",
            "last_name": "doe",
            "phone": "12125557777",
            "seniority": "admin",
            "title": "Doe"
        },
        "company_name": "ABC Inc.12345",
        "customer_type": "RESELLER",
        "ein": "12125552222",
        "ein_issuing_country": "US",
        "entity_type": "PUBLIC",
        "plivo_subaccount": "SAXXXXX",
        "primary_profile": "c780f9d0-e3c9-4d13-87f7-b898654569b0",
        "profile_alias": "john_doe",
        "profile_type": "SECONDARY",
        "profile_uuid": "f19c4773-4ae6-4b75-92ea-9cf3ea4227d6",
        "stock_exchange": "NYSE",
        "stock_symbol": "HIBYE",
        "vertical": "ENTERTAINMENT",
        "website": "hibye.com"
    }
}

List All Profiles

Fetch all profiles created by your account.
GET https://api.plivo.com/v1/Account/{auth_id}/Profile/

Arguments

limit
integer
Number of results per page. Maximum is 20. Default: 20.
offset
integer
Number of results to skip. Default: 0.
entity_type
string
Filter by entity type. Allowed values: PRIVATE, PUBLIC, NON_PROFIT, GOVERNMENT, INDIVIDUAL.
type
string
Filter by profile type. Allowed values: PRIMARY, SECONDARY.
vertical
string
Filter by vertical. Allowed values: PROFESSIONAL, REAL_ESTATE, HEALTHCARE, HUMAN_RESOURCES, ENERGY, ENTERTAINMENT, RETAIL, TRANSPORTATION, AGRICULTURE, INSURANCE, POSTAL, EDUCATION, HOSPITALITY, FINANCIAL, POLITICAL, GAMBLING, LEGAL, CONSTRUCTION, NGO, MANUFACTURING, GOVERNMENT, TECHNOLOGY, COMMUNICATION.
import plivo

client = plivo.RestClient("<auth_id>", "<auth_token>")
response = client.profile.list(limit=10, offset=0)
print(response)
Response
{
    "api_id": "837b1e38-68a1-4fd6-a532-ea4jj888uuhh",
    "meta": {
        "limit": 10,
        "offset": 0,
        "next": "/v1/Account/<AUTH_ID>/Profile/?limit=10&offset=10",
        "previous": null
    },
    "profiles": [
        {
            "profile_uuid": "7a799f1a-5f44-43fb-ac82-999uujnnhhy",
            "profile_alias": "sample name",
            "profile_type": "SECONDARY",
            "primary_profile": "a7fe9aa3-dbca-401e-80a2-f88dudhdbhd",
            "customer_type": "DIRECT",
            "entity_type": "PRIVATE_PROFIT",
            "company_name": "Name of Company",
            "ein": "111111111",
            "ein_issuing_country": "US",
            "address": {
                "street": "660 Broadway",
                "city": "New York",
                "state": "NY",
                "postal_code": "10001",
                "country": "US"
            },
            "website": "www.example.com",
            "vertical": "COMMUNICATION",
            "plivo_subaccount": "SAXXXXX",
            "stock_symbol": "NSQ",
            "stock_exchange": "NASDAQ",
            "alt_business_id": "ABC",
            "alt_business_id_type": "DUNS",
            "authorized_contact": {
                "first_name": "First Name",
                "last_name": "Last Name",
                "phone": "919033998877",
                "email": "contact@example.com",
                "title": "Manager",
                "seniority": "Mr."
            },
            "created_at": "2023-10-17T20:57:54.164054Z"
        }
    ]
}

Update a Profile

Update certain information in a profile.
POST https://api.plivo.com/v1/Account/{auth_id}/Profile/{profile_uuid}/

Arguments

profile_uuid
string
required
The unique identifier of the profile to update.
entity_type
string
Ownership of the company. Allowed values: PRIVATE, PUBLIC, NON_PROFIT, GOVERNMENT, INDIVIDUAL.
company_name
string
Legal name of the company.
vertical
string
Company industry. Allowed values: PROFESSIONAL, REAL_ESTATE, HEALTHCARE, HUMAN_RESOURCES, ENERGY, ENTERTAINMENT, RETAIL, TRANSPORTATION, AGRICULTURE, INSURANCE, POSTAL, EDUCATION, HOSPITALITY, FINANCIAL, POLITICAL, GAMBLING, LEGAL, CONSTRUCTION, NGO, MANUFACTURING, GOVERNMENT, TECHNOLOGY, COMMUNICATION.
address
object
Postal address of the company.
authorized_contact
object
Details of the authorized contact person at the company.
website
string
Business website.
plivo_subaccount
string
Subaccount mapped to the profile.
import plivo

client = plivo.RestClient("<auth_id>", "<auth_token>")
params = {"company_name": "New Company Name", "website": "www.example.com"}
response = client.profile.update("<profile_uuid>", params)
print(response)
Response
{
    "api_id": "752e99d0-baf3-11ec-ac74-0242ac110002",
    "profile": {
        "address": {
            "city": "New York",
            "country": "US",
            "postal_code": "10001",
            "state": "NY",
            "street": "123"
        },
        "alt_business_id": "ABC",
        "alt_business_id_type": "DUNS",
        "authorized_contact": {
            "email": "john@example.com",
            "first_name": "john",
            "last_name": "doe",
            "phone": "12125557778",
            "seniority": "admin",
            "title": "Doe"
        },
        "company_name": "New Company Name",
        "customer_type": "RESELLER",
        "ein": "12125552222",
        "ein_issuing_country": "US",
        "entity_type": "PUBLIC",
        "plivo_subaccount": "SA2025RK4E639VJFZAMM",
        "primary_profile": "c780f9d0-e3c9-4d13-87f7-b898654569b0",
        "profile_alias": "john_doe",
        "profile_type": "SECONDARY",
        "profile_uuid": "f19c4773-4ae6-4b75-92ea-9cf3ea4227d6",
        "stock_exchange": "NYSE",
        "stock_symbol": "HIBYE",
        "vertical": "ENTERTAINMENT",
        "website": "hibye.com"
    }
}

Delete a Profile

Delete a specific profile from your account. This action is irreversible. You cannot delete the primary profile of an account.
DELETE https://api.plivo.com/v1/Account/{auth_id}/Profile/{profile_uuid}/

Arguments

profile_uuid
string
required
The unique identifier of the profile to delete.
import plivo

client = plivo.RestClient("<auth_id>", "<auth_token>")
response = client.profile.delete(profile_uuid="<profile_uuid>")
print(response)
Response
{
    "api_id": "aaf7717a-c149-11ec-a932-0242ac110003",
    "message": "Profile deleted successfully."
}